Bug 156275 - Web Inspector: protocol generator should emit an error when 'type' is used instead of '$ref'
Summary: Web Inspector: protocol generator should emit an error when 'type' is used in...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on:
Blocks: InspectorProtocol
  Show dependency treegraph
 
Reported: 2016-04-05 20:00 PDT by Brian Burg
Modified: 2016-04-08 00:13 PDT (History)
12 users (show)

See Also:


Attachments
Proposed Fix (5.66 KB, patch)
2016-04-07 21:26 PDT, Brian Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2016-04-05 20:00:43 PDT
Found by Joe here: https://bugs.webkit.org/attachment.cgi?id=275721&action=review
Comment 1 Radar WebKit Bug Importer 2016-04-05 20:01:37 PDT
<rdar://problem/25569331>
Comment 2 Brian Burg 2016-04-06 08:39:28 PDT
It looks like in TypeReference.__init__, we never check whether the type_kind is valid. Then we return it as the fallback if the type_reference (i.e., $ref) is not set.
Comment 3 Brian Burg 2016-04-07 21:26:44 PDT
Created attachment 275979 [details]
Proposed Fix
Comment 4 WebKit Commit Bot 2016-04-07 21:28:44 PDT
This patch modifies the inspector protocol generator. Please ensure that you have rebaselined any generator test results (i.e., by running `Tools/Scripts/run-inspector-generator-tests --reset-results`)
Comment 5 WebKit Commit Bot 2016-04-08 00:13:29 PDT
Comment on attachment 275979 [details]
Proposed Fix

Clearing flags on attachment: 275979

Committed r199219: <http://trac.webkit.org/changeset/199219>
Comment 6 WebKit Commit Bot 2016-04-08 00:13:33 PDT
All reviewed patches have been landed.  Closing bug.